com.dandymadeproductions.scatterplot

## Class ScatterPlot

- java.lang.Object
- - com.dandymadeproductions.scatterplot.ScatterPlot

-     public class ScatterPlot
      extends java.lang.Object

  The ScatterPlot class provides the main access point for setting up the requirements for the ScatterPlot plugin module for the Ajqvue application.
  Version:
    1.5 09/03/2020
  Author:
    Dana M. Proctor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AREA_CHART`
    `static java.lang.String` | `BAR_CHART`
    `static java.lang.String` | `BUBBLE_CHART`
    `static java.lang.String` | `CATEGORY_LINE_CHART`
    `protected static java.lang.String[]` | `CHART_OPTIONS`
    `protected static ChartProperties` | `CHART_PROPERTIES`
    `protected static java.lang.String` | `DELIMITER`
    `protected static int` | `FONT_SIZE`
    `static java.lang.String` | `LINE_CHART`
    `static java.lang.String` | `PIE_CHART`
    `static java.lang.String` | `SCATTER_CHART`
    `static java.lang.String` | `XYAREA_CHART`
    `static java.lang.String` | `XYBAR_CHART`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScatterPlot(com.dandymadeproductions.lindyframe.gui.Main_Frame parent, java.lang.String path)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChartProperties` | `getChartDefaultProperties()`
    `protected java.lang.String` | `getDescription()`
    `protected javax.swing.JMenuBar` | `getMenuBar()`
    `protected javax.swing.JComponent` | `getPanel()`
    `protected javax.swing.ImageIcon` | `getTabIcon()`
    `protected javax.swing.JToolBar` | `getToolBar()`
    `protected java.lang.String` | `getVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINE_CHART

          public static final java.lang.String LINE_CHART

      See Also:
        Constant Field Values

    - #### CATEGORY_LINE_CHART

          public static final java.lang.String CATEGORY_LINE_CHART

      See Also:
        Constant Field Values

    - #### BAR_CHART

          public static final java.lang.String BAR_CHART

      See Also:
        Constant Field Values

    - #### XYBAR_CHART

          public static final java.lang.String XYBAR_CHART

      See Also:
        Constant Field Values

    - #### PIE_CHART

          public static final java.lang.String PIE_CHART

      See Also:
        Constant Field Values

    - #### AREA_CHART

          public static final java.lang.String AREA_CHART

      See Also:
        Constant Field Values

    - #### XYAREA_CHART

          public static final java.lang.String XYAREA_CHART

      See Also:
        Constant Field Values

    - #### BUBBLE_CHART

          public static final java.lang.String BUBBLE_CHART

      See Also:
        Constant Field Values

    - #### SCATTER_CHART

          public static final java.lang.String SCATTER_CHART

      See Also:
        Constant Field Values

    - #### CHART_OPTIONS

          protected static final java.lang.String[] CHART_OPTIONS

    - #### FONT_SIZE

          protected static final int FONT_SIZE

    - #### CHART_PROPERTIES

          protected static final ChartProperties CHART_PROPERTIES

    - #### DELIMITER

          protected static final java.lang.String DELIMITER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScatterPlot

          public ScatterPlot(com.dandymadeproductions.lindyframe.gui.Main_Frame parent,
                             java.lang.String path)

  - ### Method Detail

    - #### getMenuBar

          protected javax.swing.JMenuBar getMenuBar()

    - #### getToolBar

          protected javax.swing.JToolBar getToolBar()

    - #### getPanel

          protected javax.swing.JComponent getPanel()

    - #### getVersion

          protected java.lang.String getVersion()

    - #### getDescription

          protected java.lang.String getDescription()

    - #### getTabIcon

          protected javax.swing.ImageIcon getTabIcon()

    - #### getChartDefaultProperties

          public static ChartProperties getChartDefaultProperties()